%{
#include "u2.tab.h"
#include <stdio.h>
%}

%%

[0-9]+ { return number; }
[0-9]+\.[0-9]+ { return number; }
sin { return sin; }
cos { return cos; }
[-+*/()] { return *yytext; }
[ \t\n]  { /* Whitespace. Skip. */ }
"$" { return DONE; }
.	 { printf("Unknown character '%c' ignored.\n", *yytext); }

%%

int yywrap() {
  printf("Calling yywrap...\n");
  return 1;
}
